<p-panel header="Report Permintaan Pembelian" [toggleable]="false" *ngIf="!isViewCetakan">
    <div>
        <div style="margin-top: 10px; width: 100%;">
            <div class="ui-g">
                <div class="ui-g-12">
                    <div class="ui-g-6">
                        <div>
                            <label>Tanggal Dari</label>
                            <p-calendar [showIcon]="true" [(ngModel)]="tgl1" dateFormat="dd-M-yy"
                                [monthNavigator]="true" [yearNavigator]="true" yearRange="2000:2999"
                                appendTo="body"></p-calendar>
                        </div>
                    </div>

                    <div class="ui-g-6">
                        <div>
                            <label>Tanggal Sampai</label>
                            <p-calendar [showIcon]="true" [(ngModel)]="tgl2" dateFormat="dd-M-yy"
                                [monthNavigator]="true" [yearNavigator]="true" yearRange="2000:2999" appendTo="body">
                            </p-calendar>
                        </div>
                    </div>
                    <!-- <div class="ui-g-4"> -->
                    <div class="ui-g-6">
                        <div class="form-group">
                            <label for="field_KdBarang">Kode Barang</label>
                            <p-autoComplete [(ngModel)]="newBarang" [suggestions]="filteredBarang"
                                (completeMethod)="filterBarangSingle($event)" [size]="32" name="KdBarangs"
                                [minLength]="1" [filter]="true" filterBy="label" field="kdBahan"
                                placeholder="Please Select Or Insert" [dropdown]="true" (onSelect)="selectBarang(true)">
                            </p-autoComplete>
                        </div>
                    </div>
                    <div class="ui-g-6">
                        <div class="form-group">
                            <label for="field_barang">Nama Barang</label>
                            <p-autoComplete [(ngModel)]="newBarang" [suggestions]="filteredBarang"
                                (completeMethod)="filterBarangSingle($event)" [size]="32" name="barangs" [minLength]="1"
                                field="nmBahan" placeholder="Please Select Or Insert" [dropdown]="true"
                                (onSelect)="selectBarang(true)"></p-autoComplete>
                        </div>
                    </div>
                    <!-- </div> -->
                    <!-- <div class="ui-g-4"> -->
                    <div class="ui-g-6">
                        <div class="form-group">
                            <label class="form-control-label" for="field_nmspl">Nama Supplier</label>
                            <p-autoComplete [(ngModel)]="newSuplier" [suggestions]="filteredSuppliers"
                                (completeMethod)="filterSupplierSingle($event)" [size]="34" name="suplier"
                                [minLength]="1" field="nmSupplier" placeholder="Silahkan Pilih"
                                (onSelect)="selectSupplier(true)" [dropdown]="true" tabindex=1></p-autoComplete>
                        </div>
                    </div>

                    <div class="ui-g-6">
                        <div class="form-group">
                            <label class="form-control-label" for="field_nmspl">Kode Supplier</label>
                            <p-autoComplete [(ngModel)]="newSuplier" [suggestions]="filteredCodeSuppliers"
                                (completeMethod)="filterSupplierCodeSingle($event)" [size]="34" name="suplier"
                                [minLength]="1" field="kd_suppnew" placeholder="Silahkan Pilih"
                                (onSelect)="selectSupplier(true)" [dropdown]="true" tabindex=2></p-autoComplete>
                        </div>
                    </div>
                    <!-- </div> -->
                </div>
                <div class="ui-g-12">
                    <div class="ui-g-4">
                        <button type="button" class="btn btn-primary btn-block" (click)="print(tgl1, tgl2)">
                            <span class="fa fa-print"></span>&nbsp;Print ke Layar
                        </button>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <div>
        <div class="form-group">
            <p-dataTable [value]="purchasings" [editable]="true" [rows]="itemsPerPage" [paginator]="true"
                [pageLinks]="5" [rowsPerPageOptions]="[10,15,20,25,50,100]" [totalRecords]="totalItems" [responsive]="true"
                [lazy]="true" row="itemsPerPage" totalRecords="totalItems" dataKey="idpurchasing" expandableRows="false"
                (onLazyLoad)="loadDataLazy($event)"> <p-header>
                    <div>
                        <button pButton type="submit" label="Download Excel" icon="fa-print"
                            class="ui-button-primary flat-label-button" (click)="exportExcel(tgl1, tgl2)">
                        </button>
                    </div>
                </p-header>
                <p-column header="No" [style]="{'width': '70px', 'text-align': 'center'}">
                    <ng-template let-rowIndex="rowIndex" pTemplate="body">
                        {{rowIndex + 1}}
                    </ng-template>
                </p-column>
                <p-column header="Nomor PO">
                    <ng-template let-rowData="rowData" pTemplate="body">
                        {{rowData.nopurchasing}}
                    </ng-template>
                </p-column>
                <p-column header="Tanggal PO">
                    <ng-template let-rowData="rowData" pTemplate="body">
                        {{rowData.dtcreated | date:'dd-MM-yyyy'}}
                    </ng-template>
                </p-column>
                <p-column header="PIC">
                    <ng-template let-rowData="rowData" pTemplate="body">
                        {{rowData.pic}}
                    </ng-template>
                </p-column>
                <p-column header="Type Bahan">
                    <ng-template let-rowData="rowData" pTemplate="body">
                        {{rowData.tpbahan}}
                    </ng-template>
                </p-column>
                <p-column header="Kode Supplier">
                    <ng-template let-rowData="rowData" pTemplate="body">
                        {{rowData.kd_suppnew}}
                    </ng-template>
                </p-column>
                <p-column header="Nama Supplier">
                    <ng-template let-rowData="rowData" pTemplate="body">
                        {{rowData.nm_supplier}}
                    </ng-template>
                </p-column>
                <p-column header="Kode Produk">
                    <ng-template let-rowData="rowData" pTemplate="body">
                        {{rowData.productcode}}
                    </ng-template>
                </p-column>
                <p-column header="Nama Produk">
                    <ng-template let-rowData="rowData" pTemplate="body">
                        {{rowData.productname}}
                    </ng-template>
                </p-column>
                <p-column header="Tanggal Terima">
                    <ng-template let-rowData="rowData" pTemplate="body">
                        {{rowData.dtsent | date:'dd-MM-yyyy'}}
                    </ng-template>
                </p-column>
                <p-column header="Qty">
                    <ng-template let-rowData="rowData" pTemplate="body">
                        {{rowData.qty}}
                    </ng-template>
                </p-column>
                <p-column header="Satuan">
                    <ng-template let-rowData="rowData" pTemplate="body">
                        {{rowData.uom}}
                    </ng-template>
                </p-column>
                <p-column header="Harga">
                    <ng-template let-rowData="rowData" pTemplate="body">
                        {{rowData.price | number:'1.0-2'}}
                    </ng-template>
                </p-column>
                <p-column header="Valuta">
                    <ng-template let-rowData="rowData" pTemplate="body">
                        {{rowData.valuta}}
                    </ng-template>
                </p-column>
                <p-column header="Disc(%)">
                    <ng-template let-rowData="rowData" pTemplate="body">
                        {{rowData.disc}} %
                    </ng-template>
                </p-column>
                <p-column header="Total Disc">
                    <ng-template let-rowData="rowData" pTemplate="body">
                        {{rowData.totaldisc | number:'1.0-2'}}
                    </ng-template>
                </p-column>
                <p-column header="PPN">
                    <ng-template let-rowData="rowData" pTemplate="body">
                        {{rowData.ppn | number:'1.0-2'}}
                    </ng-template>
                </p-column>
                <p-column header="Cetakan PO">
                    <ng-template let-rowData="rowData" pTemplate="body">
                        <button pButton type="button" icon="fa-print" class="flat-button" (click)="printPO(rowData)"
                            pTooltip="Print PO" *jhiHasAnyAuthority="['ROLE_ADMIN', 'ROLE_MGR_PRC', 'ROLE_USER']">
                        </button>
                    </ng-template>
                </p-column>
            </p-dataTable>
        </div>
        <!-- <p-dataTable [value]="purchasings" [editable]="true" [rows]="itemsPerPage" [paginator]="true" [pageLinks]="5"
            [rowsPerPageOptions]="[10,15,20]" [totalRecords]="totalItems" [responsive]="true" [lazy]="true"
            row="itemsPerPage" totalRecords="totalItems" dataKey="idpurchasing" expandableRows="false"
            (onLazyLoad)="loadDataLazy($event)">
            <p-header>
            </p-header>
            <p-column selectionMode="multiple" [style]="{'width':'38px'}" *jhiHasAnyAuthority="['ROLE_MGR_PRC']">
            </p-column>
            <p-column header="No" [style]="{'width': '70px', 'text-align': 'center'}">
                <ng-template let-rowIndex="rowIndex" pTemplate="body">
                    {{rowIndex + 1}}
                </ng-template>
            </p-column>
            <p-column header="Nomor PO">
                <ng-template let-rowData="rowData" pTemplate="body">
                    {{rowData.nopurchasing}}
                </ng-template>
            </p-column>
            <p-column header="Tanggal">
                <ng-template let-rowData="rowData" pTemplate="body">
                    {{rowData.dtcreated | date:'dd-MM-yyyy'}}
                </ng-template>
            </p-column>
            <p-column header="Kirim Ke">
                <ng-template let-rowData="rowData" pTemplate="body">
                    {{rowData.sentto}}
                </ng-template>
            </p-column>
            <p-column header="Pembuat">
                <ng-template let-rowData="rowData" pTemplate="body">
                    {{rowData.createdby}}
                </ng-template>
            </p-column>
            <p-column header="Lama Kredit">
                <ng-template let-rowData="rowData" pTemplate="body">
                    {{rowData.tenor}}
                </ng-template>
            </p-column>
            <p-column header="Kode Produk">
                <ng-template let-rowData="rowData" pTemplate="body">
                    {{rowData.items.productcode}}
                </ng-template>
            </p-column>
            <p-column header="Suplier">
                <ng-template let-rowData="rowData" pTemplate="body">
                    {{rowData.suplier.nm_supplier}}
                </ng-template>
            </p-column>
            <p-column header="Otorisasi">
                <ng-template let-rowData="rowData" pTemplate="body">
                    {{rowData.otorisasi}}
                </ng-template>
            </p-column>
            <p-column header="Status">
                <ng-template let-rowData="rowData" pTemplate="body">
                    {{rowData.DescStatus}}
                </ng-template>
            </p-column>
            <p-column header="Revisi Eksternal">
                <ng-template let-rowData="rowData" pTemplate="body">
                    {{rowData.revision}}
                </ng-template>
            </p-column>
            <p-column header="Revisi Internal">
                <ng-template let-rowData="rowData" pTemplate="body">
                    {{rowData.revision_internal}}
                </ng-template>
            </p-column>
            <p-column header="Cetakan PO">
                <ng-template let-rowData="rowData" pTemplate="body">
                    <button pButton type="button" icon="fa-print" class="flat-button" (click)="printPO(rowData)"
                        pTooltip="Print PO" *jhiHasAnyAuthority="['ROLE_ADMIN', 'ROLE_MGR_PRC', 'ROLE_USER']">
                    </button>
                </ng-template>
            </p-column>
            <ng-template let-rowData let-rowIndex='rowIndex' pTemplate="rowexpansion">
            </ng-template>
        </p-dataTable> -->
    </div>
    <p-dialog header="Pilih Cetakan" [(visible)]="modalPilihCeteakn" modal="true" [width]="400">
        <form name="Pilih" role="form" novalidate #editForm="ngForm">
            <div>
                <button pButton label="Bahasa Inggris" icon="fa-save" class="ui-button-primary flat-label-button"
                    (click)="pilihPrintPO('inggris')">
                </button>
                <button pButton label="Bahasa Indonesia" icon="fa-save" class="ui-button-primary flat-label-button"
                    (click)="pilihPrintPO('indonesia')">
                </button>
            </div>
        </form>
    </p-dialog>
    <div style="margin-bottom: 10px;"></div>
</p-panel>
<div *ngIf="isViewCetakan">
    <form name="printForm" role="form" novalidate #editForm="ngForm">
        <div>
            <button pButton type="submit" label="Download" icon="fa-download" class="ui-button-info flat-label-button"
                (click)="downloadBlob()">
            </button>
            <button pButton type="submit" label="Lihat Tanpa Harga" icon="fa-eye"
                class="ui-button-warning flat-label-button" (click)="printtanpaharga()">
            </button>
            <button pButton type="submit" label="Lihat dengan Harga" icon="fa-eye"
                class="ui-button-primary flat-label-button" (click)="lihatHarga()">
            </button>
            <button pButton label="Back" class="ui-button-danger flat-label-button" (click)="backMainPage()">
            </button>
        </div>
        <div>
            <pdf-viewer [src]="pdfSrc" [render-text]="true" style="display: block;" [show-all]="true"></pdf-viewer>
        </div>
    </form>
</div>
<p-confirmDialog></p-confirmDialog>